{% extends 'Default/index.html.twig' %}
{% block title %}{{ 'user.profile.title'|trans }} - Stanza del cittadino{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('profile') }}
{% endblock %}
{% block main_content %}
  <section id="intro" class="container px-4 my-4">

    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h1>{{ 'user.profile.title'|trans }} {{ user.fullName }}</h1>
        <div class="row">
          <div class="col-12 alert alert-info mt-3 mb-5" id="profile-alert">
            <em>{{ 'user.profile.contatti_per_sdc_guida'|trans() }}</em>
          </div>
        </div>
        <div>
          {{ form_start(form) }}
          {{ form_errors(form) }}

          <div class="profile-tabs my-3">
            <div class="row">
              <div class="col-4 col-md-3">
                <div class="nav nav-tabs nav-tabs-vertical nav-tabs-vertical-background" id="nav-vertical-tab-bg"
                     role="tablist" aria-orientation="vertical">
                  <a class="nav-link active" id="contacts-tab-tab" data-toggle="tab" href="#contacts-tab" role="tab"
                     aria-controls="contacts-tab" aria-selected="true">{{ 'user.profile.contatti_per_sdc'|trans() }}
                    <svg class="icon icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-telephone"></use>
                    </svg>
                  </a>
                  <a class="nav-link " id="user-tab-tab" data-toggle="tab" href="#user-tab" role="tab"
                     aria-controls="user-tab" aria-selected="true">{{ 'user.profile.dati_personali'|trans() }}
                    <svg class="icon icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-user"></use>
                    </svg>
                  </a>
                  <a class="nav-link" id="residenza-tab-tab" data-toggle="tab" href="#residenza-tab" role="tab"
                     aria-controls="residenza-tab" aria-selected="false">{{ 'user.profile.residenza'|trans() }}
                    <svg class="icon icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-box"></use>
                    </svg>
                  </a>
                  <a class="nav-link" id="domicilio-tab-tab" data-toggle="tab" href="#domicilio-tab" role="tab"
                     aria-controls="domicilio-tab" aria-selected="false">{{ 'user.profile.domicilio'|trans() }}
                    <svg class="icon icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-box"></use>
                    </svg>
                  </a>
                  <a class="nav-link" id="card-tab-tab" data-toggle="tab" href="#card-tab" role="tab"
                     aria-controls="card-tab" aria-selected="false">{{ 'user.profile.carta_identita'|trans() }}
                    <svg class="icon icon-primary">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
                    </svg>
                  </a>
                </div>
              </div>
              <div class="col-8 col-md-9">
                <div class="tab-content" id="tab-content">
                  <div class="tab-pane p-3 fade show active" id="contacts-tab" role="tabpanel"
                       aria-labelledby="contacts-tab-tab">
                    <div class="row">
                      <div class="col-12 col-md-6">
                        {{ form_row(form.email_contatto, {'required': true, 'label': 'user.profile.email'|trans()}) }}
                      </div>
                      <div class="col-12 col-md-6">
                        {{ form_row(form.cellulare_contatto, {'required': true, 'label': 'user.profile.cellulare'|trans()}) }}
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-12 col-md-6">
                        {{ form_row(form.telefono_contatto, {'required': false, 'label': 'user.profile.telefono'|trans()}) }}
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane p-3 fade" id="user-tab" role="tabpanel" aria-labelledby="user-tab-tab">
                    <div class="row">
                      <div class="col-6">
                        <div class="form-group">
                          <label for="nome">{{ 'user.profile.nome'|trans() }}</label>
                          <input type="text" class="form-control" id="nome" value="{{ user.nome }}"
                                 disabled="disabled"/>
                        </div>
                      </div>
                      <div class="col-6">
                        <div class="form-group">
                          <label for="cognome">{{ 'user.profile.cognome'|trans() }}</label>
                          <input type="text" class="form-control" id="cognome" value="{{ user.cognome }}"
                                 disabled="disabled"/>
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-xs-3 col-lg-6">
                        <div class="form-group">
                          {% if not user.sesso %}
                            {{ form_row(form.sesso, {'label': 'user.profile.sesso'|trans()}) }}
                          {% else %}
                            <label for="sesso">{{ 'user.profile.sesso'|trans() }}</label>
                            <input type="text" class="form-control" id="sesso" required="required"
                                   value="{{ user.sesso }}"
                                   disabled="disabled"/>
                          {% endif %}
                        </div>
                      </div>
                      <div class="col-xs-9 col-lg-6">
                        <div class="form-group">
                          <label for="cf">{{ 'user.profile.codice_fiscale'|trans() }}</label>
                          <input type="text" class="form-control" id="cf" required="required"
                                 value="{{ user.codiceFiscale }}"
                                 disabled="disabled">
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-12 col-md-6">
                        <div class="form-group">
                          {{ form_row(form.data_nascita, {'label': 'user.profile.data_nascita'|trans()}) }}
                        </div>
                      </div>
                      <div class="col-12 col-md-6">
                        <div class="form-group">
                          {% if form.luogo_nascita.vars.choices is defined %}
                              {{ form_row(form.luogo_nascita, {'label': 'user.profile.luogo_nascita'|trans()}) }}
                          {% else %}
                            {{ form_row(form.luogo_nascita, {'label': 'user.profile.luogo_nascita'|trans()}) }}
                          {% endif %}

                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6">
                        <div class="form-group">
                          {% if not user.provinciaNascita %}
                            {{ form_row(form.provincia_nascita, {'label': 'user.profile.provincia_nascita'|trans()}) }}
                          {% else %}
                            <label for="provincia_nascita">{{ 'user.profile.provincia_nascita'|trans() }}</label>
                            <input type="text" class="form-control" id="provincia_nascita" required="required"
                                   value="{{ user.provinciaNascita }}"
                                   disabled="disabled">
                          {% endif %}
                        </div>
                      </div>
                      <div class="col-6">
                        {{ form_row(form.stato_nascita, {'label': 'user.profile.stato_nascita'|trans()}) }}
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane p-3 fade" id="residenza-tab" role="tabpanel" aria-labelledby="residenza-tab-tab">
                    <div class="row">
                      <div class="col">

                      </div>
                      <div class="col">
                        <a class="float-right btn btn-outline-primary mt-2" href="#" id="copia_domicilio">{{ 'user.profile.copia_domicilio'|trans() }}</a>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-9">
                        {{ form_row(form.sdc_indirizzo_residenza, {'label': 'user.profile.indirizzo'|trans()}) }}
                      </div>
                      <div class="col-3">
                        {{ form_row(form.sdc_civico_residenza, {'label': 'user.profile.civico'|trans()}) }}
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6">
                        {{ form_row(form.sdc_cap_residenza, {'label': 'user.profile.cap'|trans()}) }}
                      </div>
                      <div class="col-6">
                        {{ form_row(form.sdc_citta_residenza, {label: 'user.profile.citta'|trans()}) }}
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6">
                          {{ form_row(form.sdc_provincia_residenza, {'label': 'user.profile.provincia'|trans()}) }}
                      </div>
                      <div class="col-6">
                        {{ form_row(form.sdc_stato_residenza, {'label': 'user.profile.stato'|trans()}) }}
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane p-3 fade" id="domicilio-tab" role="tabpanel" aria-labelledby="domicilio-tab-tab">
                    <div class="row">
                      <div class="col">

                      </div>
                      <div class="col">
                        <button class="float-right btn btn-outline-primary mt-2" id="copia_residenza">{{ 'user.profile.copia_residenza'|trans() }}
                        </button>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-9">
                        {{ form_row(form.sdc_indirizzo_domicilio, {'label': 'user.profile.indirizzo'|trans()}) }}
                      </div>
                      <div class="col-3">
                        {{ form_row(form.sdc_civico_domicilio, {'label': 'user.profile.civico'|trans()}) }}
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6">
                        {{ form_row(form.sdc_cap_domicilio, {'label': 'user.profile.cap'|trans()}) }}
                      </div>
                      <div class="col-6">
                        {{ form_row(form.sdc_citta_domicilio, {'label':'user.profile.citta'|trans()}) }}
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6">
                          {{ form_row(form.sdc_provincia_domicilio, {'label': 'user.profile.provincia'|trans()}) }}
                      </div>
                      <div class="col-6">
                        {{ form_row(form.sdc_stato_domicilio, {'label': 'user.profile.stato'|trans()}) }}
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane p-4 fade" id="card-tab" role="tabpanel" aria-labelledby="card-tab-tab">
                    <div class="row">
                      <div class="col-6">
                        {{ form_row(form.id_card.numero, {'label': 'user.profile.numero'|trans()}) }}
                      </div>
                      <div class="col-6">
                        {{ form_row(form.id_card.comune_rilascio, {'label': 'user.profile.comune_rilascio'|trans()}) }}
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-6">
                        {{ form_row(form.id_card.data_rilascio, {'label': 'user.profile.data_rilascio'|trans()}) }}
                      </div>
                      <div class="col-6">
                        {{ form_row(form.id_card.data_scadenza, {'label': 'user.profile.data_scadenza'|trans()}) }}
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="my-3 float-right">
            {{ form_row(form.save) }}
          </div>
          {{ form_end(form) }}
        </div>
      </div>
    </div>
    <p id="log"></p>
  </section>
{% endblock %}
